"""
Fonction : is_square(entier n)
But : teste si la variable est un carré parfait
"""

def is_square(x):
    n = 1
    while (n**2 != x) and (n**2 < x):
        n += 1
    return (n ** 2 == x)

"""
Fonction : is_odd(entier n)
But : teste si la variable est impaire
"""

def is_odd(n):
    if (n % 2 == 0):
        return False
    else:
        return True